Bug 669865 - FN+F8 Key on Lenovo ThinkPad SL510 stop working after update
Summary: FN+F8 Key on Lenovo ThinkPad SL510 stop working after update
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: hal-info
Version: 14
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jason Carpenter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-15 08:06 UTC by Anatoliy
Modified: 2011-02-01 14:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-01 14:35:07 UTC
Type: ---


Attachments (Terms of Use)

Description Anatoliy 2011-01-15 08:06:45 UTC
Description of problem:
After installing updates functional key FN+F8 not turn OFF and turn ON touchpad panel on Lenovo ThinkPad SL510.

Version-Release number of selected component (if applicable):

kernel-2.6.35.10-74.fc14.i686
xorg-x11-drv-synaptics-1.3.0-1.fc14.i686

How reproducible:
After install all updates on installed LiveCD version functional key FN+F8 not work.

Steps to Reproduce:
1. Install LiveCD version fucntional key work.
2. yum -y upgrade && reboot
3. After boot functional key not work.
  
Additional info:
acpi_listen - no reaction when pressing FN+F8

Comment 1 Anatoliy 2011-01-15 13:12:51 UTC
Button MUTE not work too. But when press button MUTE and then VOLUMEUP or VOLUMEDOWN sounds mute. If remove module thinkpad_acpi and press button MUTE button light turn on and off, but sound not mute.

Comment 2 Anatoliy 2011-01-24 11:26:39 UTC
(In reply to comment #0)
> Description of problem:
> After installing updates functional key FN+F8 not turn OFF and turn ON touchpad
> panel on Lenovo ThinkPad SL510.
> 
> Version-Release number of selected component (if applicable):
> 
> kernel-2.6.35.10-74.fc14.i686
> xorg-x11-drv-synaptics-1.3.0-1.fc14.i686
> 
> How reproducible:
> After install all updates on installed LiveCD version functional key FN+F8 not
> work.
> 
> Steps to Reproduce:
> 1. Install LiveCD version fucntional key work.
> 2. yum -y upgrade && reboot
> 3. After boot functional key not work.
> 
> Additional info:
> acpi_listen - no reaction when pressing FN+F8

The problem in the package hal-info needs to be changed F22 to F21 in the file: "/ usr/share/hal/fdi/information/10freedesktop/30-keymap-module-thinkpad-acpi.fdi" line number 33


Note You need to log in before you can comment on or make changes to this bug.